import Utils from "~/utils"

/**
* Bdtudp Check规则
*/
let checkObj = {
    "bddgrp.tag72add"                      :null,
    "bddgrp.acb.adrelc"                      :null,
    "bddgrp.rmb.pts.extkey"                      :null,
    "bddgrp.rec.disdat"                      :null,
    "bdtp.oth.pts.extkey"                      :null,
    "bddgrp.beb.pts.extkey"                      :null,
    "bddgrp.rmb.pts.adrblk"                      :null,
    "bddgrp.beb.pts.adrblk"                      :null,
    "bddgrp.rec.docflg"                      :null,
    "bdtp.furide"                      :null,
    "bddgrp.blk.docdis"                      :null,
    "bddgrp.prb.pts.ref"                      :null,
    "bddgrp.acb.pts.extkey"                      :null,
    "bddgrp.blk.accrmk"                      :null,
    "bddgrp.prb.pts.extkey"                      :null,
    "bddgrp.rec.expdat"                      :null,
    "bddgrp.beb.adrelc"                      :null,
    "bddgrp.shp.namelc"                      :null,
    "aamset.utlamt2"                      :null,
    "bddgrp.acb.pts.adrblk"                      :null,
    "bddgrp.acb.namelc"                      :null,
    "bddgrp.beb.namelc"                      :null,
    "bddgrp.rec.rcvdat"                      :null,
    "bddgrp.shp.pts.adrblk"                      :null,
    "bdtp.acbp.ptsget.sdamod.dadsnd"                      :null,
    "bddgrp.blk.comcon"                      :null,
    "bddgrp.prb.pts.bankno"                      :null,
    "bddgrp.rmb.namelc"                      :null,
    "bdtp.rmbp.ptsget.sdamod.dadsnd"                      :null,
    "bddgrp.rec.reltyp"                      :null,
    "bddgrp.rec.relgodflg"                      :null,
    "bdtp.shpp.ptsget.sdamod.dadsnd"                      :null,
    "bdtp.recget.sdamod.dadsnd"                      :null,
    "bddgrp.shp.adrelc"                      :null,
    "bddgrp.rmb.adrelc"                      :null,
    "setmod.docamt"                      :null,
    "bdtp.bebp.ptsget.sdamod.dadsnd"                      :null,
    "bdtp.oth.pts.bankno"                      :null,
    "bdtp.didget.sdamod.dadsnd"                      :null,
    "bddgrp.shp.pts.extkey"                      :null,
    "bddgrp.rec.trpdocnum"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

