import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Bdtudp{
    constructor () {
        this.data = {
						bddgrp:{
							rec:{
								docflg:"",			//  单据类型		.bddgrp.rec.docflg
								rcvdat:"",			//  到单日期		.bddgrp.rec.rcvdat
								predat:"",			//  到单日期		.bddgrp.rec.predat
								docprbrol:"",			//  单据类型		.bddgrp.rec.docprbrol
								payrol:"",			//  发送承付电		.bddgrp.rec.payrol
								ownref:"",			//  单据参考号		.bddgrp.rec.ownref
								nam:"",			//  Name of Bill Contract		.bddgrp.rec.nam
								docsta:"",			//  单据状态		.bddgrp.rec.docsta
								matdat:"",			//  Maturity Date		.bddgrp.rec.matdat
								tenmaxday:"",			//  单据到期日		.bddgrp.rec.tenmaxday
								stadat:"",			//  Start Date		.bddgrp.rec.stadat
								totcur:"",			//  Total Amount Claimed		.bddgrp.rec.totcur
								totamt:"",			//  Total Amount to be Paid		.bddgrp.rec.totamt
								totdat:"",			//  付款日期		.bddgrp.rec.totdat
								igndisflg:"",			//  Ignore Discrepancies		.bddgrp.rec.igndisflg
								advtyp:"",			//  Type of Advice Received		.bddgrp.rec.advtyp
								disdat:"",			//  不符点通知日期		.bddgrp.rec.disdat
								approvcod:"",			//  Documents on Approval Basis		.bddgrp.rec.approvcod
								relgodflg:"",			//  Release of Goods		.bddgrp.rec.relgodflg
								reltyp:"",			//  Release Type		.bddgrp.rec.reltyp
								relgoddat:"",			//  issue date		.bddgrp.rec.relgoddat
								expdat:"",			//  Expiry Date of Shipping Guarantee		.bddgrp.rec.expdat
								trpdoctyp:"",			//  Transport Doc. Type		.bddgrp.rec.trpdoctyp
								trpdocnum:"",			//  Transport Doc. No.		.bddgrp.rec.trpdocnum
								tradat:"",			//  shipment date		.bddgrp.rec.tradat
								tramod:"",			//  Mode of Transport		.bddgrp.rec.tramod
								rtoaplflg:"",			//  Release Goods to Applicant ?		.bddgrp.rec.rtoaplflg
								ngrcod:"",			//  Goods code		.bddgrp.rec.ngrcod
								blnum:"",			//  B/L Number		.bddgrp.rec.blnum
							},
							cbs:{
								opn2:{
									cur:"",			//  附加金额		.bddgrp.cbs.opn2.cur
								},
								max:{
									cur:"",			//  单据金额		.bddgrp.cbs.max.cur
									amt:"",			//  Balance		.bddgrp.cbs.max.amt
								},
								opn1:{
									cur:"",			//  单据余额		.bddgrp.cbs.opn1.cur
									amt:"",			//  Balance		.bddgrp.cbs.opn1.amt
								},
								max2:{
									amt:"",			//  附加金额		.bddgrp.cbs.max2.amt
								},
							},
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
							},
							tag72add:"",			//  TAG72		.bddgrp.tag72add
							blk:{
								chaded:"",			//  Charges Deducted		.bddgrp.blk.chaded
								chaadd:"",			//  Charges		.bddgrp.blk.chaadd
								nartxt77a:"",			//  Narrative TAG 77A of MT754		.bddgrp.blk.nartxt77a
								docdis:"",			//  Discrepancies		.bddgrp.blk.docdis
								docdisflg:"",			//  discrepancies modified		.bddgrp.blk.docdisflg
								comcon:"",			//  Comments and Conclusions		.bddgrp.blk.comcon
								accrmk:"",			//  到期付款确认备注		.bddgrp.blk.accrmk
								vesnam:"",			//  Vessel Name		.bddgrp.blk.vesnam
								pordis:"",			//  Port of Discharge		.bddgrp.blk.pordis
								delplc:"",			//  Place of Delivery		.bddgrp.blk.delplc
								roggod:"",			//  Covered Goods		.bddgrp.blk.roggod
								relstoadr:"",			//  Release to Address		.bddgrp.blk.relstoadr
								porlod:"",			//  Port of loading		.bddgrp.blk.porlod
								voynum:"",			//  Voyage numer		.bddgrp.blk.voynum
								notpty:"",			//  Notify Party		.bddgrp.blk.notpty
								carnam:"",			//  Carrier		.bddgrp.blk.carnam
							},
							rmb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bddgrp.rmb.namelc
								adrelc:"",			//  地址		.bddgrp.rmb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bddgrp.rmb.dbfadrblkcn
							},
							acb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bddgrp.acb.namelc
								adrelc:"",			//  地址		.bddgrp.acb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bddgrp.acb.dbfadrblkcn
							},
							beb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bddgrp.beb.namelc
								adrelc:"",			//  地址		.bddgrp.beb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bddgrp.beb.dbfadrblkcn
							},
							shp:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bddgrp.shp.namelc
								adrelc:"",			//  地址		.bddgrp.shp.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bddgrp.shp.dbfadrblkcn
							},
						},
						aamset:{
							utlamt:"",			//  单据金额		.aamset.utlamt
							utlamt2:"",			//  附加金额		.aamset.utlamt2
						},
						setmod:{
							docamt:"",			//  承兑金额		.setmod.docamt
							doccur:"",			//  承兑金额		.setmod.doccur
						},
						didgrp:{
							rec:{
								ownref:"",			//  参考号		.didgrp.rec.ownref
								expdat:"",			//  到期日/到期地点		.didgrp.rec.expdat
								nam:"",			//  Externally Displayed Name to Identify the Contract		.didgrp.rec.nam
								avbby:"",			//  兑付方式		.didgrp.rec.avbby
								opndat:"",			//  开证日期		.didgrp.rec.opndat
								shpdat:"",			//  Shipment Date		.didgrp.rec.shpdat
								lcrtyp:"",			//  信用证类型		.didgrp.rec.lcrtyp
								expplc:"",			//  到期日/到期地点		.didgrp.rec.expplc
							},
							cbs:{
								opn1:{
									cur:"",			//  单据余额		.didgrp.cbs.opn1.cur
									amt:"",			//  Balance		.didgrp.cbs.opn1.amt
								},
								nom1:{
									cur:"",			//  信用证金额		.didgrp.cbs.nom1.cur
									amt:"",			//  信用证金额		.didgrp.cbs.nom1.amt
								},
							},
							avbnam:"",			//  指定银行		.didgrp.avbnam
						},
						bdtp:{
							didget:{
								sdamod:{
									seainf:"",			//  		.bdtp.didget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bdtp.didget.sdamod.dadsnd
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bdtp.recget.sdamod.dadsnd
									seainf:"",			//  		.bdtp.recget.sdamod.seainf
								},
							},
							matp:{
								mattxtlab:"",			//  Label for MATTXT		.bdtp.matp.mattxtlab
							},
							oth:{
								pts:new Pts().data,
							},
							rmbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bdtp.rmbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bdtp.rmbp.ptsget.sdamod.dadsnd
									},
								},
							},
							acbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bdtp.acbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bdtp.acbp.ptsget.sdamod.dadsnd
									},
								},
							},
							bebp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bdtp.bebp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bdtp.bebp.ptsget.sdamod.dadsnd
									},
								},
							},
							docgrdm:{
								docdsclab:"",			//  Label of document description		.bdtp.docgrdm.docdsclab
							},
							cre752flg:"",			//  Create 752		.bdtp.cre752flg
							furide:"",			//  Further Identification		.bdtp.furide
							cre732flg:"",			//  Create MT 732		.bdtp.cre732flg
							shpp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bdtp.shpp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bdtp.shpp.ptsget.sdamod.dadsnd
									},
								},
							},
							connum:"",			//  Contract Number		.bdtp.connum
							zchday:"",			//  最迟装运/服务提供日		.bdtp.zchday
						},
						sftmt:"",			//  Which MT		.sftmt
				}
    }
}